Bug 142128 - EDITING Deletion of image by different users should be marked with different colors
Summary: EDITING Deletion of image by different users should be marked with different ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Track-Changes-Image
  Show dependency treegraph
 
Reported: 2021-05-06 12:01 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 06:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Writer (90.18 KB, application/vnd.oasis.opendocument.text)
2021-05-06 12:01 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (217.59 KB, image/png)
2021-05-06 12:01 UTC, NISZ LibreOffice Team
Details
Example file from Word with image deletion by two different users (89.71 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-05-06 12:02 UTC, NISZ LibreOffice Team
Details
How it looks in Word (366.92 KB, image/png)
2021-05-06 12:03 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-06 12:01:23 UTC
Created attachment 171691 [details]
Example file from Writer

After bug #59463 deletion of images started to be a change tracked operation.
It would be useful to indicate with differently colored lines who deleted a particular image, just like text addition/deletion is marked by differently colored text by user.

Steps to reproduce:
    1. Open attached file

Actual results:
The two images were deleted by different users, yet they appear crossed out with the same blue lines.

Expected results:
Different colored lines for the images.
This would be similar to what Word can do.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9df3aa7ea72d61462e430643f2a80906dce4e15b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-05-06 12:01:49 UTC
Created attachment 171692 [details]
Screenshot of the problem in Writer
Comment 2 NISZ LibreOffice Team 2021-05-06 12:02:58 UTC
Created attachment 171693 [details]
Example file from Word with image deletion by two different users

Based on attachment 155969 [details] from bug 128913
Comment 3 NISZ LibreOffice Team 2021-05-06 12:03:18 UTC
Created attachment 171694 [details]
How it looks in Word
Comment 4 Commit Notification 2021-06-08 07:15:17 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/76dc21860ce185bd5495adde8858d2f23284c78e

tdf#142128 sw: set author-color strikethrough for deleted images

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-06-08 09:11:20 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/16eda7db38e978a178b161cff7715ee4a32f1493

tdf#142128 sw: set author-color strikethrough for AS_CHAR images

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-07-05 06:04:08 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 0afa7e64d547a8f2a48402660acf5c95a468a0ab
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded